<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuestionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('questions', function (Blueprint $table) {
            $table->id();

            $table->integer('app_id')->default(0)->comment('应用平台');
            $table->integer('area_id')->default(0)->comment('运营区域');
            $table->char('mobile', 12)->nullable()->comment('用户手机号');
            $table->timestamp('time')->nullable()->comment('发生时间');
            $table->text('question')->nullable()->comment('问题');
            $table->char('order_no', 64)->nullable()->comment('订单号');
            $table->tinyInteger('status')->default(1);
            $table->bigInteger('admin_id')->default(0)->comment('管理员');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questions');
    }
}
